<?php



require_once 'config.php';
require_once GREEN_ZONE_DIR . 'Utils/SQLDatabase.php';



class ProjectsQuery
{
  // PUBLIC
      
  public function __construct()
  {
    $this->user_id = null;
    $this->projects = null;
    $this->db = null;
  }
  
  public function SetUserID( $s_user_id ) { $this->user_id = $s_user_id; }
  
  public function GetProjects() { return $this->projects; }
  
  public function SetDB( $s_db ) { $this->db = $s_db; }
  
  public function Execute()
  {
    if( $this->db == null )
      throw new GZ_Exception( 'Attempt to perform Project Query without connection to database', 'ProjectQuery::Execute' );
    
    if( $this->user_id == null )
      throw new GZ_Exception( 'UserID not set', 'ProjectQuery::Execute' );
    
    $sql = ' SELECT p.prefix as PREFIX, p.number as NUMBER ';
    $sql .= ' FROM opalprod.project p,opalprod.proposalproject pp,opalprod.author a ';
    $sql .= ' WHERE p.id = pp.projectid ';
    $sql .= ' AND pp.proposalid = a.proposalid ';
    $sql .= ' AND a.userid = ' . $this->user_id;
    
    $this->db->DoQuery( $sql );
    
    $all_rows = $this->db->GetLastResult();
    
    $this->projects = Array();
    foreach( $all_rows as $next_row )
      $this->projects[] = $next_row['PREFIX'] . $next_row['NUMBER'];
  }
  
  // PRIVATE
      
  private $user_id;
  private $projects;
  private $db;
};



?>